diff --git a/lib/app/modules/warga/views/warga_view.dart b/lib/app/modules/warga/views/warga_view.dart
index df4cf89..f195405 100644
--- a/lib/app/modules/warga/views/warga_view.dart
+++ b/lib/app/modules/warga/views/warga_view.dart
@@ -5,6 +5,7 @@ import 'package:penyaluran_app/app/modules/warga/views/warga_dashboard_view.dart
 import 'package:penyaluran_app/app/modules/warga/views/warga_penerimaan_view.dart';
 import 'package:penyaluran_app/app/modules/warga/views/warga_pengaduan_view.dart';
 import 'package:penyaluran_app/app/widgets/app_bottom_navigation_bar.dart';
+import 'package:penyaluran_app/app/widgets/app_drawer.dart';
 import 'package:penyaluran_app/app/theme/app_theme.dart';
 
 class WargaView extends GetView<WargaDashboardController> {
@@ -133,276 +134,83 @@ class WargaView extends GetView<WargaDashboardController> {
       }
     });
 
-    return Drawer(
-      child: Column(
-        children: [
-          Container(
-            decoration: BoxDecoration(
-              gradient: AppTheme.primaryGradient,
-            ),
-            padding: EdgeInsets.only(
-                top: MediaQuery.of(context).padding.top + 16,
-                bottom: 24,
-                left: 16,
-                right: 16),
-            width: double.infinity,
-            child: Column(
-              crossAxisAlignment: CrossAxisAlignment.start,
-              children: [
-                Container(
-                  decoration: BoxDecoration(
-                    shape: BoxShape.circle,
-                    border: Border.all(color: Colors.white, width: 2),
-                    boxShadow: [
-                      BoxShadow(
-                        color: Colors.black.withOpacity(0.2),
-                        blurRadius: 10,
-                        offset: Offset(0, 5),
-                      ),
-                    ],
-                  ),
-                  child: CircleAvatar(
-                    radius: 40,
-                    backgroundColor: Colors.white70,
-                    backgroundImage: controller.fotoProfil.value.isNotEmpty
-                        ? NetworkImage(controller.fotoProfil.value)
-                        : null,
-                    child: controller.fotoProfil.isEmpty
-                        ? Text(
-                            controller.nama.isNotEmpty
-                                ? controller.nama.substring(0, 1).toUpperCase()
-                                : '?',
-                            style: TextStyle(
-                              fontWeight: FontWeight.bold,
-                              color: Colors.white,
-                              fontSize: 24,
-                            ),
-                          )
-                        : null,
-                  ),
-                ),
-                SizedBox(height: 16),
-                Text(
-                  'Halo,',
-                  style: TextStyle(
-                    color: Colors.white70,
-                    fontSize: 16,
-                  ),
-                ),
-                Text(
-                  controller.nama,
-                  style: TextStyle(
-                    color: Colors.white,
-                    fontWeight: FontWeight.bold,
-                    fontSize: 22,
-                  ),
-                  overflow: TextOverflow.ellipsis,
-                  maxLines: 2,
-                ),
-                SizedBox(height: 4),
-                Row(
-                  mainAxisSize: MainAxisSize.min,
-                  children: [
-                    Container(
-                      padding: EdgeInsets.symmetric(horizontal: 8, vertical: 4),
-                      decoration: BoxDecoration(
-                        color: Colors.white.withOpacity(0.2),
-                        borderRadius: BorderRadius.circular(20),
-                      ),
-                      child: Text(
-                        'Warga',
-                        style: TextStyle(
-                          color: Colors.white,
-                          fontSize: 12,
-                        ),
-                      ),
-                    ),
-                    SizedBox(width: 8),
-                    Container(
-                      padding: EdgeInsets.symmetric(horizontal: 8, vertical: 4),
-                      decoration: BoxDecoration(
-                        color: Colors.white.withOpacity(0.2),
-                        borderRadius: BorderRadius.circular(20),
-                      ),
-                      child: Row(
-                        mainAxisSize: MainAxisSize.min,
-                        children: [
-                          Icon(
-                            Icons.location_on,
-                            color: Colors.white,
-                            size: 14,
-                          ),
-                          SizedBox(width: 4),
-                          Text(
-                            controller.desa ?? 'Tidak ada desa',
-                            style: TextStyle(
-                              color: Colors.white,
-                              fontSize: 12,
-                            ),
-                          ),
-                        ],
-                      ),
-                    ),
-                  ],
-                ),
-              ],
-            ),
+    return Obx(() {
+      Map<String, List<DrawerMenuItem>> menuCategories = {
+        'Menu Utama': [
+          DrawerMenuItem(
+            icon: Icons.dashboard_outlined,
+            activeIcon: Icons.dashboard,
+            title: 'Dashboard',
+            isSelected: controller.activeTabIndex.value == 0,
+            onTap: () {
+              controller.activeTabIndex.value = 0;
+            },
           ),
-          Expanded(
-            child: ListView(
-              padding: EdgeInsets.zero,
-              children: [
-                _buildMenuCategory('Menu Utama'),
-                Obx(() => _buildMenuItem(
-                      icon: Icons.dashboard_outlined,
-                      activeIcon: Icons.dashboard,
-                      title: 'Dashboard',
-                      isSelected: controller.activeTabIndex.value == 0,
-                      onTap: () {
-                        Navigator.pop(context);
-                        controller.changeTab(0);
-                      },
-                    )),
-                Obx(() => _buildMenuItem(
-                      icon: Icons.volunteer_activism_outlined,
-                      activeIcon: Icons.volunteer_activism,
-                      title: 'Penerimaan',
-                      isSelected: controller.activeTabIndex.value == 1,
-                      onTap: () {
-                        Navigator.pop(context);
-                        controller.changeTab(1);
-                      },
-                    )),
-                Obx(() => _buildMenuItem(
-                      icon: Icons.report_problem_outlined,
-                      activeIcon: Icons.report_problem,
-                      title: 'Pengaduan',
-                      isSelected: controller.activeTabIndex.value == 2,
-                      onTap: () {
-                        Navigator.pop(context);
-                        controller.changeTab(2);
-                      },
-                    )),
-                _buildMenuCategory('Pengaturan'),
-                _buildMenuItem(
-                  icon: Icons.person_outline,
-                  activeIcon: Icons.person,
-                  title: 'Profil',
-                  onTap: () async {
-                    Navigator.pop(context);
-                    await Get.toNamed('/profile');
-                    // Refresh data ketika kembali dari profil
-                    controller.refreshData();
-                  },
-                ),
-                _buildMenuItem(
-                  icon: Icons.info_outline,
-                  activeIcon: Icons.info,
-                  title: 'Tentang Kami',
-                  onTap: () {
-                    Navigator.pop(context);
-                    Get.toNamed('/about');
-                  },
-                ),
-                _buildMenuItem(
-                  icon: Icons.logout,
-                  title: 'Keluar',
-                  onTap: () {
-                    Navigator.pop(context);
-                    controller.logout();
-                  },
-                  isLogout: true,
-                ),
-              ],
-            ),
+          DrawerMenuItem(
+            icon: Icons.volunteer_activism_outlined,
+            activeIcon: Icons.volunteer_activism,
+            title: 'Penerimaan Bantuan',
+            isSelected: controller.activeTabIndex.value == 1,
+            badgeCount: controller.totalPenyaluranDiterima.value > 0
+                ? controller.totalPenyaluranDiterima.value
+                : null,
+            badgeColor: Colors.green,
+            onTap: () {
+              controller.activeTabIndex.value = 1;
+            },
           ),
-          Padding(
-            padding: const EdgeInsets.symmetric(horizontal: 16, vertical: 8),
-            child: Text(
-              'Â© ${DateTime.now().year} DisalurKita',
-              style: TextStyle(
-                fontSize: 12,
-                color: Colors.grey,
-              ),
-              textAlign: TextAlign.center,
-            ),
+          DrawerMenuItem(
+            icon: Icons.report_problem_outlined,
+            activeIcon: Icons.report_problem,
+            title: 'Pengaduan',
+            isSelected: controller.activeTabIndex.value == 2,
+            badgeCount: controller.totalPengaduanProses.value > 0
+                ? controller.totalPengaduanProses.value
+                : null,
+            badgeColor: Colors.orange,
+            onTap: () {
+              controller.activeTabIndex.value = 2;
+            },
           ),
         ],
-      ),
-    );
-  }
-
-  Widget _buildMenuCategory(String title) {
-    return Padding(
-      padding: const EdgeInsets.only(left: 16, right: 16, top: 16, bottom: 8),
-      child: Text(
-        title,
-        style: TextStyle(
-          fontSize: 12,
-          fontWeight: FontWeight.bold,
-          color: Colors.grey[600],
-        ),
-      ),
-    );
-  }
-
-  Widget _buildMenuItem({
-    required IconData icon,
-    IconData? activeIcon,
-    required String title,
-    bool isSelected = false,
-    String? badge,
-    required Function() onTap,
-    bool isLogout = false,
-  }) {
-    return AnimatedContainer(
-      duration: Duration(milliseconds: 200),
-      decoration: BoxDecoration(
-        color: isSelected
-            ? AppTheme.primaryColor.withOpacity(0.1)
-            : Colors.transparent,
-        borderRadius: BorderRadius.circular(8),
-      ),
-      margin: EdgeInsets.symmetric(horizontal: 8, vertical: 2),
-      child: ListTile(
-        leading: Icon(
-          isSelected ? (activeIcon ?? icon) : icon,
-          color: isSelected
-              ? AppTheme.primaryColor
-              : (isLogout ? Colors.red : null),
-        ),
-        title: Text(
-          title,
-          style: TextStyle(
-            color: isSelected
-                ? AppTheme.primaryColor
-                : (isLogout ? Colors.red : null),
-            fontWeight: isSelected ? FontWeight.bold : null,
+        'Pengaturan': [
+          DrawerMenuItem(
+            icon: Icons.person_outline,
+            activeIcon: Icons.person,
+            title: 'Profil',
+            onTap: () {
+              Get.toNamed('/profile');
+            },
           ),
-        ),
-        trailing: badge != null
-            ? Container(
-                padding: EdgeInsets.symmetric(horizontal: 6, vertical: 2),
-                decoration: BoxDecoration(
-                  color: Colors.orange,
-                  borderRadius: BorderRadius.circular(10),
-                ),
-                constraints: BoxConstraints(
-                  minWidth: 20,
-                  minHeight: 20,
-                ),
-                child: Text(
-                  badge,
-                  style: TextStyle(
-                    color: Colors.white,
-                    fontSize: 12,
-                  ),
-                  textAlign: TextAlign.center,
-                ),
-              )
-            : null,
-        onTap: onTap,
-      ),
-    );
+          DrawerMenuItem(
+            icon: Icons.info_outline,
+            activeIcon: Icons.info,
+            title: 'Tentang Kami',
+            onTap: () {
+              Get.toNamed('/about');
+            },
+          ),
+          DrawerMenuItem(
+            icon: Icons.logout,
+            title: 'Keluar',
+            isLogout: true,
+            onTap: () {
+              controller.logout();
+            },
+          ),
+        ],
+      };
+
+      return AppDrawer(
+        nama: controller.nama,
+        role: 'Warga',
+        desa: controller.desa,
+        avatar: controller.fotoProfil.value,
+        menuItems: const [], // Tidak digunakan karena menggunakan menuCategories
+        menuCategories: menuCategories,
+        onLogout: controller.logout,
+        footerText: 'Â© ${DateTime.now().year} DisalurKita',
+      );
+    });
   }
 }
diff --git a/lib/app/routes/app_routes.dart b/lib/app/routes/app_routes.dart
index 32e76b7..0533e9a 100644
--- a/lib/app/routes/app_routes.dart
+++ b/lib/app/routes/app_routes.dart
@@ -42,6 +42,7 @@ abstract class Routes {
   static const riwayatPengaduan = _Paths.riwayatPengaduan;
   static const qrScanner = _Paths.qrScanner;
   static const konfirmasiPenerimaQr = _Paths.konfirmasiPenerimaQr;
+  static const jadwalPenyaluran = _Paths.jadwalPenyaluran;
   static const PENGADUAN = '/pengaduan';
   static const TAMBAH_PENGADUAN = '/tambah-pengaduan';
   static const PENGADUAN_DETAIL = '/pengaduan-detail';
@@ -91,6 +92,7 @@ abstract class _Paths {
   static const riwayatPengaduan = '/petugas-desa/riwayat-pengaduan';
   static const qrScanner = '/petugas-desa/qr-scanner';
   static const konfirmasiPenerimaQr = '/petugas-desa/konfirmasi-penerima/:id';
+  static const jadwalPenyaluran = '/petugas-desa/jadwal-penyaluran';
   static const PENGADUAN = '/pengaduan';
   static const TAMBAH_PENGADUAN = '/tambah-pengaduan';
   static const PENGADUAN_DETAIL = '/pengaduan-detail';
diff --git a/lib/app/services/supabase_service.dart b/lib/app/services/supabase_service.dart
index f7f0bc8..15603da 100644
--- a/lib/app/services/supabase_service.dart
+++ b/lib/app/services/supabase_service.dart
@@ -2370,4 +2370,39 @@ class SupabaseService extends GetxService {
       return null;
     }
   }
+
+  // Metode untuk mengupdate role user dengan SQL langsung
+  Future<void> updateUserRole(String userId, int roleId) async {
+    try {
+      // Coba update via RPC jika sudah diimplementasikan
+      try {
+        await client.rpc(
+          'update_user_role',
+          params: {
+            'user_id': userId,
+            'role_id_value': roleId,
+          },
+        );
+        print('DEBUG: Berhasil mengupdate role_id user via RPC');
+        return;
+      } catch (e) {
+        print('WARN: RPC update_user_role tidak tersedia: $e');
+      }
+
+      // Jika RPC tidak tersedia, gunakan query SQL langsung ke auth.users jika diizinkan
+      try {
+        print('DEBUG: Mencoba update auth.users langsung');
+        await client
+            .from('auth.users')
+            .update({'role_id': roleId}).eq('id', userId);
+        print('DEBUG: Berhasil mengupdate role_id user via SQL langsung');
+      } catch (e) {
+        print('ERROR: Gagal mengupdate auth.users: $e');
+        print('INFO: Role perlu diupdate manual melalui dashboard Supabase');
+      }
+    } catch (e) {
+      print('ERROR: Gagal mengupdate role user: $e');
+      // Tidak perlu throw exception, kegagalan update role tidak fatal
+    }
+  }
 }
diff --git a/lib/app/widgets/app_drawer.dart b/lib/app/widgets/app_drawer.dart
index 2b1c2f5..99f83ff 100644
--- a/lib/app/widgets/app_drawer.dart
+++ b/lib/app/widgets/app_drawer.dart
@@ -10,6 +10,9 @@ class AppDrawer extends StatelessWidget {
   final int? notificationCount;
   final VoidCallback onLogout;
   final List<DrawerMenuItem> menuItems;
+  final Map<String, List<DrawerMenuItem>>? menuCategories;
+  final String? footerText;
+  final Widget? headerExtraContent;
 
   const AppDrawer({
     super.key,
@@ -20,25 +23,101 @@ class AppDrawer extends StatelessWidget {
     this.notificationCount,
     required this.onLogout,
     required this.menuItems,
+    this.menuCategories,
+    this.footerText,
+    this.headerExtraContent,
   });
 
   @override
   Widget build(BuildContext context) {
     return Drawer(
-      child: ListView(
-        padding: EdgeInsets.zero,
+      child: Column(
         children: [
-          DrawerHeader(
-            decoration: BoxDecoration(
-              gradient: AppTheme.primaryGradient,
+          _buildHeader(context),
+          if (menuCategories != null && menuCategories!.isNotEmpty)
+            _buildCategorizedMenu()
+          else
+            Expanded(
+              child: ListView(
+                padding: EdgeInsets.zero,
+                children: [
+                  ...menuItems.map((item) => _buildMenuItem(context, item)),
+                  const Divider(),
+                  ListTile(
+                    leading: const Icon(Icons.person_outline),
+                    title: const Text('Profil'),
+                    onTap: () {
+                      Navigator.pop(context);
+                      Get.toNamed('/profile');
+                    },
+                  ),
+                  ListTile(
+                    leading: const Icon(Icons.info_outline),
+                    title: const Text('Tentang Kami'),
+                    onTap: () {
+                      Navigator.pop(context);
+                      Get.toNamed('/about');
+                    },
+                  ),
+                  ListTile(
+                    leading: const Icon(Icons.logout),
+                    title: const Text('Keluar'),
+                    onTap: () {
+                      Navigator.pop(context);
+                      onLogout();
+                    },
+                  ),
+                ],
+              ),
             ),
-            child: Column(
-              crossAxisAlignment: CrossAxisAlignment.start,
-              mainAxisAlignment: MainAxisAlignment.end,
-              children: [
-                CircleAvatar(
-                  radius: 30,
-                  backgroundColor: AppTheme.primaryColor.withOpacity(0.2),
+          if (footerText != null)
+            Padding(
+              padding: const EdgeInsets.symmetric(horizontal: 16, vertical: 8),
+              child: Text(
+                footerText!,
+                style: const TextStyle(
+                  fontSize: 12,
+                  color: Colors.grey,
+                ),
+                textAlign: TextAlign.center,
+              ),
+            ),
+        ],
+      ),
+    );
+  }
+
+  Widget _buildHeader(BuildContext context) {
+    return Container(
+      decoration: BoxDecoration(
+        gradient: AppTheme.primaryGradient,
+      ),
+      padding: EdgeInsets.only(
+          top: MediaQuery.of(context).padding.top + 16,
+          bottom: 24,
+          left: 16,
+          right: 16),
+      width: double.infinity,
+      child: Column(
+        crossAxisAlignment: CrossAxisAlignment.start,
+        children: [
+          Row(
+            children: [
+              Container(
+                decoration: BoxDecoration(
+                  shape: BoxShape.circle,
+                  border: Border.all(color: Colors.white, width: 2),
+                  boxShadow: [
+                    BoxShadow(
+                      color: Colors.black.withOpacity(0.2),
+                      blurRadius: 10,
+                      offset: const Offset(0, 5),
+                    ),
+                  ],
+                ),
+                child: CircleAvatar(
+                  radius: 40,
+                  backgroundColor: Colors.white70,
                   backgroundImage: avatar != null && avatar!.isNotEmpty
                       ? NetworkImage(avatar!)
                       : null,
@@ -47,122 +126,249 @@ class AppDrawer extends StatelessWidget {
                           nama.isNotEmpty
                               ? nama.substring(0, 1).toUpperCase()
                               : '?',
-                          style: const TextStyle(
+                          style: TextStyle(
                             fontWeight: FontWeight.bold,
-                            color: AppTheme.primaryColor,
+                            color: Colors.blue.shade700,
                             fontSize: 24,
                           ),
                         )
                       : null,
                 ),
-                const SizedBox(height: 10),
-                Text(
-                  nama,
+              ),
+              const SizedBox(width: 15),
+              Expanded(
+                child: Column(
+                  crossAxisAlignment: CrossAxisAlignment.start,
+                  children: [
+                    const Text(
+                      'DisalurKita',
+                      style: TextStyle(
+                        fontSize: 16,
+                        fontWeight: FontWeight.bold,
+                        color: Colors.white,
+                      ),
+                    ),
+                    const SizedBox(height: 3),
+                    const Text(
+                      'Salurkan dengan Pasti, Pantau dengan Bukti',
+                      style: TextStyle(
+                        fontSize: 10,
+                        color: Colors.white70,
+                        fontWeight: FontWeight.w500,
+                      ),
+                    ),
+                  ],
+                ),
+              ),
+            ],
+          ),
+          const SizedBox(height: 16),
+          const Text(
+            'Halo,',
+            style: TextStyle(
+              color: Colors.white70,
+              fontSize: 16,
+            ),
+          ),
+          Text(
+            nama,
+            style: const TextStyle(
+              color: Colors.white,
+              fontWeight: FontWeight.bold,
+              fontSize: 22,
+            ),
+            overflow: TextOverflow.ellipsis,
+            maxLines: 2,
+          ),
+          const SizedBox(height: 4),
+          Row(
+            mainAxisSize: MainAxisSize.min,
+            children: [
+              Container(
+                padding: const EdgeInsets.symmetric(horizontal: 8, vertical: 4),
+                decoration: BoxDecoration(
+                  color: Colors.white.withOpacity(0.2),
+                  borderRadius: BorderRadius.circular(20),
+                ),
+                child: Text(
+                  role,
                   style: const TextStyle(
                     color: Colors.white,
-                    fontSize: 18,
-                    fontWeight: FontWeight.bold,
+                    fontSize: 12,
                   ),
                 ),
-                Text(
-                  desa != null ? '$role - $desa' : role,
-                  style: TextStyle(
-                    color: Colors.white.withOpacity(0.8),
-                    fontSize: 14,
+              ),
+              if (desa != null) ...[
+                const SizedBox(width: 8),
+                Container(
+                  padding:
+                      const EdgeInsets.symmetric(horizontal: 8, vertical: 4),
+                  decoration: BoxDecoration(
+                    color: Colors.white.withOpacity(0.2),
+                    borderRadius: BorderRadius.circular(20),
+                  ),
+                  child: Row(
+                    mainAxisSize: MainAxisSize.min,
+                    children: [
+                      const Icon(
+                        Icons.location_on,
+                        color: Colors.white,
+                        size: 14,
+                      ),
+                      const SizedBox(width: 4),
+                      Text(
+                        desa!,
+                        style: const TextStyle(
+                          color: Colors.white,
+                          fontSize: 12,
+                        ),
+                      ),
+                    ],
                   ),
                 ),
               ],
-            ),
-          ),
-          ...menuItems.map((item) => _buildMenuItem(context, item)),
-          const Divider(),
-          ListTile(
-            leading: const Icon(Icons.person_outline),
-            title: const Text('Profil'),
-            onTap: () {
-              Navigator.pop(context);
-              Get.toNamed('/profile');
-            },
-          ),
-          ListTile(
-            leading: const Icon(Icons.settings_outlined),
-            title: const Text('Pengaturan'),
-            onTap: () {
-              Navigator.pop(context);
-              // TODO: Navigasi ke halaman pengaturan
-            },
-          ),
-          ListTile(
-            leading: const Icon(Icons.logout),
-            title: const Text('Keluar'),
-            onTap: () {
-              Navigator.pop(context);
-              onLogout();
-            },
+            ],
           ),
+          if (headerExtraContent != null) ...[
+            const SizedBox(height: 8),
+            headerExtraContent!,
+          ],
         ],
       ),
     );
   }
 
-  Widget _buildMenuItem(BuildContext context, DrawerMenuItem item) {
-    return ListTile(
-      leading: item.badgeCount != null && item.badgeCount! > 0
-          ? Stack(
-              alignment: Alignment.center,
-              children: [
-                Icon(item.icon),
-                Positioned(
-                  top: 0,
-                  right: 0,
-                  child: Container(
-                    padding: const EdgeInsets.all(2),
-                    decoration: BoxDecoration(
-                      color: item.badgeColor ?? Colors.red,
-                      borderRadius: BorderRadius.circular(10),
-                    ),
-                    constraints: const BoxConstraints(
-                      minWidth: 12,
-                      minHeight: 12,
-                    ),
-                    child: Text(
-                      item.badgeCount.toString(),
-                      style: const TextStyle(
-                        color: Colors.white,
-                        fontSize: 8,
+  Widget _buildCategorizedMenu() {
+    return Expanded(
+      child: ListView(
+        padding: EdgeInsets.zero,
+        children: [
+          ...menuCategories!.entries.map((entry) => Column(
+                crossAxisAlignment: CrossAxisAlignment.start,
+                children: [
+                  _buildMenuCategory(entry.key),
+                  ...entry.value.map((item) => _buildMenuItem(null, item)),
+                ],
+              )),
+        ],
+      ),
+    );
+  }
+
+  Widget _buildMenuCategory(String title) {
+    return Padding(
+      padding: const EdgeInsets.only(left: 16, right: 16, top: 16, bottom: 8),
+      child: Text(
+        title,
+        style: TextStyle(
+          fontSize: 12,
+          fontWeight: FontWeight.bold,
+          color: Colors.grey[600],
+        ),
+      ),
+    );
+  }
+
+  Widget _buildMenuItem(BuildContext? context, DrawerMenuItem item) {
+    return AnimatedContainer(
+      duration: const Duration(milliseconds: 200),
+      decoration: BoxDecoration(
+        color: item.isSelected
+            ? AppTheme.primaryColor.withOpacity(0.1)
+            : Colors.transparent,
+        borderRadius: BorderRadius.circular(8),
+      ),
+      margin: const EdgeInsets.symmetric(horizontal: 8, vertical: 2),
+      child: ListTile(
+        leading: item.badgeCount != null && item.badgeCount! > 0
+            ? Stack(
+                alignment: Alignment.center,
+                children: [
+                  Icon(
+                    item.isSelected
+                        ? (item.activeIcon ?? item.icon)
+                        : item.icon,
+                    color: item.isSelected
+                        ? AppTheme.primaryColor
+                        : (item.isLogout ? Colors.red : null),
+                  ),
+                  Positioned(
+                    top: 0,
+                    right: 0,
+                    child: Container(
+                      padding: const EdgeInsets.all(2),
+                      decoration: BoxDecoration(
+                        color: item.badgeColor ?? Colors.red,
+                        borderRadius: BorderRadius.circular(10),
+                      ),
+                      constraints: const BoxConstraints(
+                        minWidth: 12,
+                        minHeight: 12,
+                      ),
+                      child: Text(
+                        item.badgeCount.toString(),
+                        style: const TextStyle(
+                          color: Colors.white,
+                          fontSize: 8,
+                        ),
+                        textAlign: TextAlign.center,
                       ),
-                      textAlign: TextAlign.center,
                     ),
                   ),
-                ),
-              ],
-            )
-          : Icon(item.icon),
-      title: Text(item.title),
-      selected: item.isSelected,
-      selectedColor: AppTheme.primaryColor,
-      onTap: () {
-        Navigator.pop(context);
-        item.onTap();
-      },
+                ],
+              )
+            : Icon(
+                item.isSelected ? (item.activeIcon ?? item.icon) : item.icon,
+                color: item.isSelected
+                    ? AppTheme.primaryColor
+                    : (item.isLogout ? Colors.red : null),
+              ),
+        title: Text(
+          item.title,
+          style: TextStyle(
+            color: item.isSelected
+                ? AppTheme.primaryColor
+                : (item.isLogout ? Colors.red : null),
+            fontWeight: item.isSelected ? FontWeight.bold : null,
+          ),
+        ),
+        trailing: item.trailing,
+        onTap: () {
+          if (context != null) {
+            Navigator.pop(context);
+          } else {
+            Navigator.of(Get.overlayContext!).pop();
+          }
+
+          Future.delayed(const Duration(milliseconds: 100), () {
+            item.onTap();
+          });
+        },
+      ),
     );
   }
 }
 
 class DrawerMenuItem {
   final IconData icon;
+  final IconData? activeIcon;
   final String title;
   final bool isSelected;
   final VoidCallback onTap;
   final int? badgeCount;
   final Color? badgeColor;
+  final bool isLogout;
+  final Widget? trailing;
 
   DrawerMenuItem({
     required this.icon,
+    this.activeIcon,
     required this.title,
     this.isSelected = false,
     required this.onTap,
     this.badgeCount,
     this.badgeColor,
+    this.isLogout = false,
+    this.trailing,
   });
 }
